net.sourceforge.pmd.cpd

## Class CPPTokenizerTest

- java.lang.Object
- - net.sourceforge.pmd.cpd.CPPTokenizerTest

    public class CPPTokenizerTest
    extends Object

### Constructor Summary

Constructors
Constructor and Description
`CPPTokenizerTest()`

### Method Summary

Methods
`static junit.framework.Test` `suite()`
`void` `testContinuation_InterToken()`
`void` `testContinuation_IntraToken()`
`void` `testDollarSignInIdentifier()`
`void` `testDollarSignStartingIdentifier()`
`void` `testMultiLineMacros()`
`void` `testWideCharacters()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### CPPTokenizerTest

    public CPPTokenizerTest()

### Method Detail

#### testMultiLineMacros

    public void testMultiLineMacros()
                             throws Throwable

Throws:
  `Throwable`

#### testDollarSignInIdentifier

    public void testDollarSignInIdentifier()

#### testDollarSignStartingIdentifier

    public void testDollarSignStartingIdentifier()

#### testWideCharacters

    public void testWideCharacters()

#### testContinuation_IntraToken

    public void testContinuation_IntraToken()

#### testContinuation_InterToken

    public void testContinuation_InterToken()

#### suite

    public static junit.framework.Test suite()